Skip to main content
GET
cURL

Authorizations

X-API-KEY
string
header
required

Your secret API key obtained from the Clink dashboard (Developers section)

Headers

X-Timestamp
string
required

Current timestamp in milliseconds since Unix epoch (required for request signing)

Example:

"1783513683000"

Query Parameters

productId
string
required

Unique identifier of the product configured in your dashboard

pageNum
integer<int32>
required

Current page number,and the default is 1

pageSize
integer<int32>
required

Size of the query results per page,pageSize can range between 1 and 100

active
boolean
required

Is it available for purchase

Response

Price details retrieved successfully

Table Paging Data Object

total
integer<int64>

Total number of records

rows
object[]

List of data

code
integer<int32>

Response status code, 200 when success

msg
string

Brief description of what happened, 'success' when happy case